﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MSO (1 yr) Digital Threshold VER VISA /9500
DATE:                  2018-05-09 14:00:39
AUTHOR:                Fluke
REVISION:              $Revision: 23625 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       173
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        MSO2000, MSO2000B Series
#        MSO3000 Series
#        MDO3000 Series
#        MSO4000, MSO4000B Series
#        MDO4000, MDO4000B Series
#        MSO5000 Series
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        Digital Test Probe
#          MSO2000B Series
#        Digital Calibration Fixture (PN 174-4535-00)
#          MSO4000 Series
#        TCFA074 Digital Calibration Fixture (PN 067-2121-00)
#          MSO4000B Series
#          MDO4000 Series
#          MSO5000 Series
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Memory Register Usage:
#
#    M[100] - M[115]:  Channel state (0 or 1)
#    M[120] - M[135]:  Average transition voltage
#    M[140] - M[155]:  Average transition voltage accuracy
#    M[160] - M[175]:  Average transition voltage found (0 or 1)
#
#    @iState: Index offset to access channel state in M registers.
#    @iVolt:  Index offset to access voltage in M registers.
#    @iAcc:   Index offset to access voltage accuracy in M registers.
#    @iFound: Index offset to access voltage found in M registers.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @iState = 100
  1.002  MATH         @iVolt  = 120
  1.003  MATH         @iAcc   = 140
  1.004  MATH         @iFound = 160

  1.005  IF           0
  1.006  9500         4.5V                                              S
  1.007  ENDIF

  1.008  RSLT         =
  1.009  HEAD         {DIGITAL THRESHOLD ACCURACY}
  1.010  M9500                       CH1
  1.011  MATH         @ShowConnection = 1

  1.012  RSLT         =
  1.013  RSLT         =Threshold: 0 V
  1.014  MATH         @Threshold = 0
  1.015  TOL          0.10U
  1.016  MATH         @LowVoltage  = -500E-3
  1.017  MATH         @HighVoltage = +500E-3
  1.018  CALL         Sub Tek MSO Get Digital Threshold Values VISA /9500

  1.019  IF           @Abort
  1.020  END
  1.021  ENDIF

  1.022  IF           @GotData
  1.023  MATH         @DChan = 0
  1.024  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.025  MATH         @DChan = 1
  1.026  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.027  MATH         @DChan = 2
  1.028  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.029  MATH         @DChan = 3
  1.030  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.031  MATH         @DChan = 4
  1.032  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.033  MATH         @DChan = 5
  1.034  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.035  MATH         @DChan = 6
  1.036  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.037  MATH         @DChan = 7
  1.038  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.039  MATH         @DChan = 8
  1.040  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.041  MATH         @DChan = 9
  1.042  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.043  MATH         @DChan = 10
  1.044  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.045  MATH         @DChan = 11
  1.046  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.047  MATH         @DChan = 12
  1.048  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.049  MATH         @DChan = 13
  1.050  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.051  MATH         @DChan = 14
  1.052  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.053  MATH         @DChan = 15
  1.054  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.055  ENDIF

  1.056  RSLT         =
  1.057  RSLT         =Threshold: 4 V
  1.058  MATH         @Threshold = 4
  1.059  TOL          0.22U
  1.060  MATH         @LowVoltage  = +3.5
  1.061  MATH         @HighVoltage = +4.4
  1.062  CALL         Sub Tek MSO Get Digital Threshold Values VISA /9500

  1.063  IF           @Abort
  1.064  END
  1.065  ENDIF

  1.066  IF           @GotData
  1.067  MATH         @DChan = 0
  1.068  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.069  MATH         @DChan = 1
  1.070  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.071  MATH         @DChan = 2
  1.072  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.073  MATH         @DChan = 3
  1.074  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.075  MATH         @DChan = 4
  1.076  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.077  MATH         @DChan = 5
  1.078  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.079  MATH         @DChan = 6
  1.080  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.081  MATH         @DChan = 7
  1.082  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.083  MATH         @DChan = 8
  1.084  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.085  MATH         @DChan = 9
  1.086  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.087  MATH         @DChan = 10
  1.088  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.089  MATH         @DChan = 11
  1.090  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.091  MATH         @DChan = 12
  1.092  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.093  MATH         @DChan = 13
  1.094  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.095  MATH         @DChan = 14
  1.096  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.097  MATH         @DChan = 15
  1.098  CALL         Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
  1.099  ENDIF

  1.100  END
